ClassInvariantViolation (Groovy 5.1.0)
Description: declaration: package: org.apache.groovy.contracts, class: ClassInvariantViolation

Package org.apache.groovy.contracts

# Class ClassInvariantViolation

java.lang.Object
java.lang.Throwable
java.lang.Error
java.lang.AssertionError
org.apache.groovy.contracts.AssertionViolation
org.apache.groovy.contracts.ClassInvariantViolation

All Implemented Interfaces:
  `Serializable`

public class ClassInvariantViolation extends AssertionViolation

Thrown whenever a class invariant violation occurs.

See Also:
  - `AssertionViolation`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClassInvariantViolation()`
  `ClassInvariantViolation(boolean b)`
  `ClassInvariantViolation(char c)`
  `ClassInvariantViolation(double v)`
  `ClassInvariantViolation(float v)`
  `ClassInvariantViolation(int i)`
  `ClassInvariantViolation(long l)`
  `ClassInvariantViolation(Object o)`

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ClassInvariantViolation

    public ClassInvariantViolation()

  - ### ClassInvariantViolation

    public ClassInvariantViolation(Object o)

  - ### ClassInvariantViolation

    public ClassInvariantViolation(boolean b)

  - ### ClassInvariantViolation

    public ClassInvariantViolation(char c)

  - ### ClassInvariantViolation

    public ClassInvariantViolation(int i)

  - ### ClassInvariantViolation

    public ClassInvariantViolation(long l)

  - ### ClassInvariantViolation

    public ClassInvariantViolation(float v)

  - ### ClassInvariantViolation

    public ClassInvariantViolation(double v)